package electrosphere.server.region;

import java.util.List;

import org.joml.Vector3d;

import electrosphere.entity.Entity;

public class RegionCuboid implements Region {

    Vector3d position;
    Vector3d radius;

    List<Entity> containedEntities;

    public RegionCuboid(Vector3d position, Vector3d radius){
        this.position = position;
        this.radius = radius;
    }

    @Override
    public Vector3d getPosition() {
        return position;
    }

    @Override
    public void setPosition(Vector3d position) {
        this.position = position;
    }

    @Override
    public RegionType getRegionType() {
        return RegionType.REGION_TYPE_CUBOID;
    }

    public Vector3d getRadius(){
        return radius;
    }

    public void setRadius(Vector3d radius){
        this.radius = radius;
    }

    @Override
    public List<Entity> getContainedEntities() {
        return containedEntities;
    }
    
}
